=== debian/changelog ===
juce (7.0.5+ds-2) unstable; urgency=medium

  * Team upload
  * Add patch to switch from webkit2gtk 4.0 to 4.1
  * Update juce-modules-source dependency (Closes: #1068484)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 10:47:48 -0400

juce (7.0.5+ds-1) unstable; urgency=medium

  * New upstream version 7.0.5+ds
    + Refresh patches
  * Replace obsolete Dependencies with their modern counterparts

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 21:00:41 +0100

juce (7.0.4+ds-2) unstable; urgency=medium

  * Prevent building on 'armel' altogether

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Jan 2023 09:20:17 +0100

juce (7.0.4+ds-1) unstable; urgency=medium

  * New upstream version 7.0.4+ds
    + Drop patches applied upstream
  * Switch repack-suffix to '+ds'
  * Update dates in d/copyright
    + Re-generate d/copyright_hints
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Drop duplicate 'licensecheck' target
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Jan 2023 16:38:55 +0100

juce (7.0.3~ds0-1) unstable; urgency=medium

  * New upstream version 7.0.3~ds0
    + Refresh patches
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Nov 2022 14:02:44 +0100

juce (7.0.2~ds0-3) unstable; urgency=medium

  * Fix typos in patch descriptions
  * Patch to ensure that juce_core links against zlib (Closes: #1022281)
  * Add patch to make documentation reproducible

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Nov 2022 13:55:28 +0100

juce (7.0.2~ds0-2) unstable; urgency=medium

  * d/watch: Switch to github/tags
  * Explicitly link Projucer/juceaide against zlib

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 11:41:06 +0200
