=== debian/control ===
Source: juce
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libfreetype-dev,
 libjpeg-dev,
 libx11-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 pkg-config,
 python3:any,
 zlib1g-dev,
Build-Depends-Indep:
 doxygen,
 graphviz,
# the binary packages don't build on armel, so don't try
Build-Conflicts:
 build-essential [armel],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.juce.com
Vcs-Git: https://salsa.debian.org/multimedia-team/juce.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/juce

Package: juce-modules-source
Architecture: any
Multi-Arch: same
Depends:
 juce-modules-source-data (= ${source:Version}),
 libasound2-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libflac-dev,
 libfreetype-dev,
 libgl-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libpng-dev,
 libvorbis-dev,
 libwebkit2gtk-4.1-dev,
 libx11-dev,
 libxext-dev,
 libxinerama-dev,
 libxrandr-dev,
 zlib1g-dev | libz-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fst-dev,
 lv2-dev,
Replaces:
 juce-tools (<< 7.0.1~),
 libjuce-dev (<< 5.2.0~),
Breaks:
 juce-tools (<< 7.0.1~),
 libjuce-dev (<< 5.2.0~),
Description: Jules' Utility Class Extensions (module sources)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package installs the sources for the JUCE modules along with
 required development libraries, as used by 'jucer' projects.
 (Projucer is provided in the 'juce-tools' package).

Package: juce-modules-source-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces:
 juce-modules-source (<< 6.0.0~),
Breaks:
 juce-modules-source (<< 6.0.0~),
Description: Jules' Utility Class Extensions (platform independent module sources)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 This package contains the actual source files.
 .
 This package is not intended for a direct installation.
 Instead, you probably should install the 'juce-modules-source' package
 (which will force this package to be installed as well).

Package: juce-tools
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 juce-modules-source,
Breaks:
 introjucer,
Replaces:
 introjucer,
Conflicts:
 introjucer,
Description: JUCE's project management tools
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 The Projucer (formerly Introjucer) is JUCE's project-management tool and secret
 weapon.
 .
 The Projucer's Duties:
  - Central management of cross-platform builds
  - JUCE Module Management
  - New Project Creation
  - User-Interface Design Tool
  - Plug-in Projects
  - Miscellaneous Utilities

Package: libjuce-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 juce-modules-source,
Description: Jules' Utility Class Extensions (documentation)
 JUCE (Jules' Utility Class Extensions) is an all-encompassing C++ framework for
 developing cross-platform software.
 .
 It contains pretty much everything you're likely to need to create most
 applications, and is particularly well-suited for building highly-customised
 GUIs, and for handling graphics and sound.
 .
 This package contains html documentation for the JUCE API.
