=== debian/tests/control ===
Tests: juce-unit-tests
Depends:
 libjack-dev,
 libogg-dev,
 xauth,
 xvfb,
 @,
 @builddeps@,
Restrictions: allow-stderr

Test-Command: cmake -Wno-dev -S debian/tests/cmake -B $AUTOPKGTEST_TMP
Features: test-name=cmake_find_package_JUCE
Depends:
 cmake,
 g++,
 juce-modules-source,
Restrictions:
 superficial,
